Registry File Reference
`#include <OpenThreads/ReentrantMutex>`
`#include <osg/ref_ptr>`
`#include <osg/ArgumentParser>`
`#include <osg/KdTree>`
`#include <osgDB/DynamicLibrary>`
`#include <osgDB/ReaderWriter>`
`#include <osgDB/Options>`
`#include <osgDB/DotOsgWrapper>`
`#include <osgDB/ObjectWrapper>`
`#include <osgDB/FileCache>`
`#include <osgDB/ObjectCache>`
`#include <osgDB/SharedStateManager>`
`#include <osgDB/ImageProcessor>`
`#include <vector>`
`#include <map>`
`#include <string>`

Go to the source code of this file.

## Classes

class | osgDB::Registry
struct | osgDB::Registry::ReadFunctor
class | osgDB::RegisterReaderWriterProxy< T >
class | osgDB::RegisterImageProcessorProxy< T >
struct | osgDB::PluginFunctionProxy

## Namespaces

namespace | osgDB

## Macros

#define | OSGDB_REGISTRY 1
#define | USE_OSGPLUGIN(ext)
#define | USE_DOTOSGWRAPPER(classname)
#define | USE_DOTOSGWRAPPER_LIBRARY(libname)
#define | USE_SERIALIZER_WRAPPER(classname)
#define | USE_SERIALIZER_WRAPPER_LIBRARY(libname)
#define | USE_COMPRESSOR_WRAPPER(classname)
#define | REGISTER_OSGPLUGIN(ext, classname)
#define | REGISTER_OSGIMAGEPROCESSOR(ext, classname)

## Typedefs

typedef void(* | CPluginFunction) (void)

## Functions

void | osgDB::readCommandLine (osg::ArgumentParser &parser)

## Macro Definition Documentation

## OSGDB_REGISTRY

#define OSGDB_REGISTRY 1

## REGISTER_OSGIMAGEPROCESSOR

#define REGISTER_OSGIMAGEPROCESSOR | ( |  | ext,
|  |  | classname )

Value:
extern "C" void osgdb_##ext(void) {} \
static osgDB::RegisterImageProcessorProxy<classname> g_proxy_##classname;
osgDB::RegisterImageProcessorProxy
Definition osgDB/Registry:689

## REGISTER_OSGPLUGIN

#define REGISTER_OSGPLUGIN | ( |  | ext,
|  |  | classname )

Value:
extern "C" void osgdb_##ext(void) {} \
static osgDB::RegisterReaderWriterProxy<classname> g_proxy_##classname;
osgDB::RegisterReaderWriterProxy
Definition osgDB/Registry:660

## USE_COMPRESSOR_WRAPPER

#define USE_COMPRESSOR_WRAPPER | ( |  | classname | ) |

Value:
extern "C" void wrapper_compressor_##classname(void); \
static osgDB::PluginFunctionProxy proxy_compressor_##classname(wrapper_compressor_##classname);
osgDB::PluginFunctionProxy
Definition osgDB/Registry:715

## USE_DOTOSGWRAPPER

#define USE_DOTOSGWRAPPER | ( |  | classname | ) |

Value:
extern "C" void dotosgwrapper_##classname(void); \
static osgDB::PluginFunctionProxy proxy_dotosgwrapper_##classname(dotosgwrapper_##classname);

## USE_DOTOSGWRAPPER_LIBRARY

#define USE_DOTOSGWRAPPER_LIBRARY | ( |  | libname | ) |

Value:
extern "C" void dotosgwrapper_library_##libname(void); \
static osgDB::PluginFunctionProxy proxy_dotosgwrapper_library_##libname(dotosgwrapper_library_##libname);

## USE_OSGPLUGIN

#define USE_OSGPLUGIN | ( |  | ext | ) |

Value:
extern "C" void osgdb_##ext(void); \
static osgDB::PluginFunctionProxy proxy_##ext(osgdb_##ext);

## USE_SERIALIZER_WRAPPER

#define USE_SERIALIZER_WRAPPER | ( |  | classname | ) |

Value:
extern "C" void wrapper_serializer_##classname(void); \
static osgDB::PluginFunctionProxy proxy_serializer_##classname(wrapper_serializer_##classname);

## USE_SERIALIZER_WRAPPER_LIBRARY

#define USE_SERIALIZER_WRAPPER_LIBRARY | ( |  | libname | ) |

Value:
extern "C" void wrapper_serializer_library_##libname(void); \
static osgDB::PluginFunctionProxy proxy_serializer_library_##libname(wrapper_serializer_library_##libname);

## Typedef Documentation

## CPluginFunction

typedef void(* CPluginFunction) (void)